'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useTour = useTour;

var _bodyParser = require('body-parser');

var _bodyParser2 = _interopRequireDefault(_bodyParser);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function useTour(app, config) {
  // unpack
  var email = config.email,
      localAuthenticateAndRedirect = config.localAuthenticateAndRedirect,
      password = config.password,
      returnTo = config.returnTo,
      routePath = config.routePath;
  // use

  app.use(_bodyParser2.default.json()); // to support JSON-encoded bodies
  // automatic signin with a mock user
  app.post(routePath, function (req, res, next) {
    req.body.email = email;
    req.body.password = password;
    next();
  }, returnTo, localAuthenticateAndRedirect);
}